NewsUnrealEdFilesModsFragBULiandri Archives
BeyondUnreal Forums

Go Back   BeyondUnreal Forums > BeyondUnreal > News & Articles

Reply
 
Thread Tools Display Modes
Old 20th Jan 2004, 03:46 AM   #1
RaptoR
been here far too long
 
RaptoR's Avatar
 
Join Date: May. 7th, 2000
Location: UK
Posts: 3,524
UT2003 / UT2004 Network Compatability To Be Broken

Sir_Brizz sends this news from the UT2003Mods mailing list. Epic's Tim Sweeney has revealed that, in fact, UT2003 and UT2004 will not be network compatible. That means that UT2004 players won't be able to play on UT2003 servers as originally planned.

Networking won't work between UT2003 and UT2004. We had initially plannedto support that, but the network code has changed so much in order to
reduce bandwidth, support vehicles, and increase performance, that we couldn't
keep
the two games network-compatible.

-Tim
__________________
RaptoR is offline   Reply With Quote
Old 20th Jan 2004, 03:52 AM   #2
Loibisch
The Odd Member
 
Join Date: Jan. 3rd, 2000
Location: Germany
Posts: 2,199
and before all the bitching starts:
Were any of you planning to play on UT2003 servers with UT2004?
Please keep in mind that a lot of things have been changed (weapon balance, boostdodge, way itemspawn works, etc.)
This isn't even the same game anymore so if you wanna play it I suggest you just leave your old UT2003 copy installed...
__________________

[Ci]Loibisch - Site/Forum admin and attacker of clan Carpe Imperium
Loibisch is offline   Reply With Quote
Old 20th Jan 2004, 03:56 AM   #3
master_newbie
2D Mod Fan
 
master_newbie's Avatar
 
Join Date: Sep. 6th, 2003
Posts: 272
yes, when ut2004 arrives I want to play all that new ut2004 stuff

and I guess within a month 90% of all ut2003 servers have upgraded to 2004
__________________
master_newbie is offline   Reply With Quote
Old 20th Jan 2004, 04:15 AM   #4
grimstar
 
Join Date: May. 27th, 2001
Location: Australia
Posts: 179
Maybe now they can change a few things with the UT2003 maps (that'll be in UT2004).
grimstar is offline   Reply With Quote
Old 20th Jan 2004, 04:29 AM   #5
[V3]Optimal
Registered User
 
[V3]Optimal's Avatar
 
Join Date: Nov. 5th, 2003
Posts: 35
In other words ut2k4 is going to kill ut2k3. I really don't care about the compatability between the two. I didn't plan on playing in 2k3 servers anyway.
[V3]Optimal is offline   Reply With Quote
Old 20th Jan 2004, 04:40 AM   #6
Infguy98
Registered User
 
Join Date: Jul. 29th, 2001
Posts: 638
,

Last edited by Infguy98; 20th Nov 2012 at 11:40 AM.
Infguy98 is offline   Reply With Quote
Old 20th Jan 2004, 04:49 AM   #7
A_Rimmerlister
JaFO(JBE|JBM)
 
A_Rimmerlister's Avatar
 
Join Date: Aug. 3rd, 2001
Location: Eindhoven, The Netherlands
Posts: 2,925
*eh* they won't be compatible on the network-level ... there's still a chance the mods work with both games (that is if the developers worked with the engine instead of against it).

ie : you can't play UT'03 & RO on a server running UT'04 & RO or vice versa.
Then again I doubt few teams will be able to maintain 2 versions just to please a minority. And given that most mods are planning to add vehicles anyway logic would suggest that they all eventually move to UT'04.
__________________
- Festina Lente - Fac Omniae Mente -
A_Rimmerlister is offline   Reply With Quote
Old 20th Jan 2004, 05:53 AM   #8
Plumb_Drumb
yumb
 
Plumb_Drumb's Avatar
 
Join Date: Mar. 19th, 2002
Location: Denver Co. USA
Posts: 8,615
Ok, nows Epics chance to fix all the collision problems with thier old maps.

In fact, backwards compatibility was the only reason i accepted the fact that the same old 2k3 maps with no fixes would be included in 2k4...
________
ahotsexy_ass4U live

Last edited by Plumb_Drumb; 28th Aug 2011 at 11:39 AM.
Plumb_Drumb is offline   Reply With Quote
Old 20th Jan 2004, 06:27 AM   #9
Loric
Registered User
 
Loric's Avatar
 
Join Date: Oct. 11th, 2003
Location: Paris
Posts: 6
Obviously the explaination Tim Sweeney gives is utter bullcrap.
All the optimisations made for UT2004 could profit UT2003 as well, couldn't they?

To me they are breaking compatibility either to force people switching to UT2004 (by droppiong support ot UT2003) or because they want to make sure the UT2003 hacks can't be used by cheaters in UT2004.
__________________
Vsit my UT2003 skins site
Loric is offline   Reply With Quote
Old 20th Jan 2004, 07:03 AM   #10
WebSlinger
bNotNegative != False
 
WebSlinger's Avatar
 
Join Date: Feb. 29th, 2000
Location: Oklahoma City, OK
Posts: 1,955
Loric, do you have a copy of both engine's source code and minutes from the Epic marketing meetings to back up your claims? Or did you just make all of that up?
__________________
oun¡¡¡¡Quiero más popotes!!!!uno
WebSlinger is offline   Reply With Quote
Old 20th Jan 2004, 07:28 AM   #11
W0RF
BuF Greeter, News Bagger
 
W0RF's Avatar
 
Join Date: Apr. 19th, 2002
Location: Columbus, OH
Posts: 8,731
Quote:
Originally Posted by Kowalski.44
What everyone seems to be missing is that Ut2004 players won't be compatible with UT2003 mods now which will get very ****ing annoying when some mods might move to the newer engine. This means me and a alot of people will have to buy a ****ty game just to play some mods. (Ut2003 was a bad game but I bought it just for Red Orchestra)
This is my only beef with it. I was hoping 2K4 would bring the market together, not split it a fourth way (if you count XMP, which has in fact pulled me off 2k3 for the moment). In truth, I'm so picky about my servers (sub-200 or even sub-100 ping, no LG/IG/whatever crap, etc), I probably would pass over the 2K3 servers anyway once I got used to 2K4 play. And I'll probably be playing ONS and AS more than anything so it may double-not-matter to me. But being able to port the mods over to 2K4 with no hassles would have been nice. A lot of mod teams are probably spewing their coffee right now as they read this notice.

Loric raises an interesting question, though (not about the money-grubbing conspiracy). Would it be possible to patch 2K3 to restore network compatibility from 2K4? You know what I'm saying? It's kind of hard to phrase that question correctly but I know in my head what I'm asking...
__________________





Maps: CTF-ColaWars-FragBU - current version = 2 | CTF/BR/JB/TDM-BuFferZone - In Progress
W0RF is offline   Reply With Quote
Old 20th Jan 2004, 08:15 AM   #12
SkaarjMaster
enemy of time
 
SkaarjMaster's Avatar
 
Join Date: Sep. 1st, 2000
Location: Tampa, FL
Posts: 4,677
I'm not too bothered by this, but they need to quit f**king with the flak cannon.
__________________

Insite Reviews: right here in the web archive
SkaarjMaster is offline   Reply With Quote
Old 20th Jan 2004, 08:43 AM   #13
A_Rimmerlister
JaFO(JBE|JBM)
 
A_Rimmerlister's Avatar
 
Join Date: Aug. 3rd, 2001
Location: Eindhoven, The Netherlands
Posts: 2,925
Red face

If they really had wanted to pull a fast one then they'd claim that UT'04 would be an expansionpack.

They didn't ...
They almost immediately said it would be a full game.
So a network-compatibility break was to be expected ...
They even said that they were going to break it at some point (IIRC something was said that they were delaying several fixes so they would only break compatibility once or something to that effect).

I think the only thing they didn't guess was the fact that the gap could prove a bit too big to fix.
Perhaps they needed to fix the original UT'03 levels as well ?
Given the comments that the pickups have been resized in UT'04 there might have been no easy way to fix that in UT'03.
It definitely could mean that a 100% network-compatible 'patch' would have meant releasing almost the entire game as a patch.
__________________
- Festina Lente - Fac Omniae Mente -
A_Rimmerlister is offline   Reply With Quote
Old 20th Jan 2004, 08:49 AM   #14
RegularX
Master of Dagoth Lies
 
RegularX's Avatar
 
Join Date: Feb. 2nd, 2000
Location: Chicago, IL
Posts: 1,215
Tim's post seems to suggest that they've made enough changes that a simple patch isn't possible. That doesn't sound like some BS PR statement to me, that sounds like what happens in coding.

From the sounds of it, few mods are going to want to stay with UT2003 in the face of new GUI code, new vehicle code, new weapon code, new gameplay code, better networking, etc.

And for the MSUC Phase 3, mods have to UT2k4 compatible. So your existing projects will probably be making the switch around March.
__________________
_____________________________
I remember old school.

Champion of Glaucoma Inducing Radiation Everywhere
RegularX is offline   Reply With Quote
Old 20th Jan 2004, 09:11 AM   #15
Doc_EDo
LEFT
 
Join Date: Jan. 10th, 2002
Posts: 755
This might be the beginning of the end for the modding community.....
__________________
Doc_EDo is offline   Reply With Quote
Old 20th Jan 2004, 09:16 AM   #16
Alhanalem
Teammember on UT3JB Bangaa Bishop
 
Alhanalem's Avatar
 
Join Date: Feb. 21st, 2002
Location: Ivalice
Posts: 2,220
its netcode thats breaking compatibility, not anything else. mods should work as they did before.
__________________


^click here to visit my dragons^ Canya put some bonus points in me drinkin' skill?
http://savage2.s2games.com
^ This is a really unique game, get it.
avatar (c)square enix
Alhanalem is offline   Reply With Quote
Old 20th Jan 2004, 09:43 AM   #17
punk129
!!!!!!!!!!!11111111111
 
punk129's Avatar
 
Join Date: Jan. 18th, 2003
Location: Germany
Posts: 172
this means ut2003 mods wont work with ut2004?
__________________
Programmer - BlackShadow Studios (http://coldwar.blackshadowstudios.com)

There's no truth, only variations of lie.

http://www.punk129.com/unrealediting/
punk129 is offline   Reply With Quote
Old 20th Jan 2004, 10:07 AM   #18
Bazzi
Wearing pink
 
Join Date: Apr. 22nd, 2001
Location: Germany
Posts: 629
Quote:
Originally Posted by SirTahngarth
its netcode thats breaking compatibility, not anything else. mods should work as they did before.
And netcode is like the easiest thing to port back to 2k3, innit?
Bazzi is offline   Reply With Quote
Old 20th Jan 2004, 10:42 AM   #19
PsychoMoggieBagpuss
Gone.
 
PsychoMoggieBagpuss's Avatar
 
Join Date: Mar. 6th, 2000
Location: London
Posts: 4,685
Quote:
Originally Posted by punk129
this means ut2003 mods wont work with ut2004?
Depends if they did something funky with the netcode or not.
PsychoMoggieBagpuss is offline   Reply With Quote
Old 20th Jan 2004, 10:42 AM   #20
Loibisch
The Odd Member
 
Join Date: Jan. 3rd, 2000
Location: Germany
Posts: 2,199
@Bazzi:
Nope, but I won't even go into that.


People seem to be missing that almost every patch for UT2003 broke mod-compatibility and mods had to be re-released to work with the new patch. Now you expect that UT2003 mods just work for UT2004 without any tweaking?
UT2004 will be just another patch for modmakers.
__________________

[Ci]Loibisch - Site/Forum admin and attacker of clan Carpe Imperium
Loibisch is offline   Reply With Quote
Reply

Thread Tools
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off

Forum Jump


All times are GMT -5. The time now is 04:57 AM.


Powered by vBulletin® Version 3.8.7
Copyright ©2000 - 2014, vBulletin Solutions, Inc.

Copyright ©1998 - 2012, BeyondUnreal, Inc.
Privacy Policy | Terms of Use
Bandwidth provided by AtomicGamer